List operating systems for a server model
You can obtain a list of operating systems for the server model specified in the path parameter. To do that, execute a GET request to /v1/locations/{location_id}/order_options/server_models/{server_model_id}/operating_systems.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
server_model_id | stringAn identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section. |
Query Parameters
| Field | Details |
|---|---|
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1578/order_options/server_models/2661/operating_systems"[ { "id": 242, "full_name": "Ubuntu 18.04-server x86_64", "name": "Ubuntu", "version": "18.04-server", "arch": "x86_64", "filesystems": [ "ext2", "ext4", "swap", "xfs", "reiser" ] }, { "id": 243, "full_name": "Debian 7 x86_64", "name": "Debian", "version": "7", "arch": "x86_64", "filesystems": [ "ext2", "ext4", "swap", "xfs", "reiser" ] }, { "id": 244, "full_name": "Windows Server 2012 R2 Standard Edition x86_64", "name": "Windows", "version": "Server 2012 R2 Standard Edition", "arch": "x86_64", "filesystems": [ "ntfs" ] }, { "id": 245, "full_name": "Debian 7 x86_64", "name": "Debian", "version": "7", "arch": "x86_64", "filesystems": [ "ext2", "ext4", "swap", "xfs", "reiser" ] }]